<?php  
            require('/srv/new-pegasus.isi.edu/includes/common.php'); 
            pegasus_header("11.7. Increase Memory Requirements for Retries");
        ?><div class="breadcrumbs">
<span class="breadcrumb-link"><a href="index.php">Pegasus 4.8.2 User Guide</a></span> &gt; <span class="breadcrumb-link"><a href="optimization.php">Optimizing Workflows for Efficiency and Scalability</a></span> &gt; <span class="breadcrumb-node">Increase Memory Requirements for Retries</span>
</div><hr><div class="section">
<div class="titlepage"><div><div><h2 class="title" style="clear: both">
<a name="job_memory_retries"></a>11.7. Increase Memory Requirements for Retries</h2></div></div></div>
<p><span class="emphasis"><em>Issue:</em></span> Setting memory limits for codes
        with varying amounts of memory requirments can be challenging. Some
        codes do not use much RAM most of the time, but once in a while
        require more RAM due to for example initial condition and hitting
        a particular spot in the algorithm.
    </p>
<p><span class="emphasis"><em>Solution:</em></span> A common approach is to provide
        a smaller limit for the first try of a job, and if the job fails,
        increase the limit for subsequent tries. This can be accomplished
        with an expression for the
        <span class="bold"><strong>request_memory</strong></span> attribute. For
        example, setting the attribute in the site catalog, setting
        the limit to 1 GB for the first try, and then 4 GB for remaining
        tries: 
    </p>
<pre class="programlisting">
        &lt;profile namespace="condor" key="request_memory"&gt; ifthenelse(isundefined(DAGNodeRetry) || DAGNodeRetry == 0, 1024, 4096) &lt;/profile&gt;
    </pre>
</div><div class="navfooter">
<hr>
<table width="100%" summary="Navigation footer">
<tr>
<td width="40%" align="left">
<a accesskey="p" href="job_throttling.php">Prev</a> </td>
<td width="20%" align="center"><a accesskey="u" href="optimization.php">Up</a></td>
<td width="40%" align="right"> <a accesskey="n" href="service.php">Next</a>
</td>
</tr>
<tr>
<td width="40%" align="left" valign="top">11.6. Job Throttling </td>
<td width="20%" align="center"><a accesskey="h" href="index.php">Table of Contents</a></td>
<td width="40%" align="right" valign="top"> Chapter 12. Pegasus Service</td>
</tr>
</table>
</div><?php  
            pegasus_footer();
        ?>
