<?php  
            require('/srv/new-pegasus.isi.edu/includes/common.php'); 
            pegasus_header("Chapter 15. Jupyter Notebooks");
        ?><div class="breadcrumbs">
<span class="breadcrumb-link"><a href="index.php">Pegasus 4.8.2 User Guide</a></span> &gt; <span class="breadcrumb-node">Jupyter Notebooks</span>
</div><hr><div class="chapter">
<div class="titlepage"><div><div><h1 class="title">
<a name="jupyter"></a>Chapter 15. Jupyter Notebooks</h1></div></div></div>
<div class="toc"><dl class="toc">
<dt><span class="section"><a href="jupyter.php#jupyter-introduction">15.1. Introduction</a></span></dt>
<dt><span class="section"><a href="jupyter-requirements.php">15.2. Requirements</a></span></dt>
<dt><span class="section"><a href="jupyter-api.php">15.3. The Pegasus DAX and Jupyter Python APIs</a></span></dt>
<dt><span class="section"><a href="jupyterhub.php">15.4. JupyterHub</a></span></dt>
<dt><span class="section"><a href="jupyter-api-reference.php">15.5. API Reference</a></span></dt>
<dt><span class="section"><a href="jupyter-example.php">15.6. Tutorial Example Notebook</a></span></dt>
</dl></div>
<div class="section">
<div class="titlepage"><div><div><h2 class="title" style="clear: both">
<a name="jupyter-introduction"></a>15.1. Introduction</h2></div></div></div>
<p>The <a class="ulink" href="http://jupyter.org/" target="_top">Jupyter Notebook</a> is an
    open-source web application that allows you to create and share documents
    that contain live code, equations, visualizations and explanatory text.
    Its flexible and portable format resulted in a rapidly adoption by the
    research community to share and interact with experiments. Jupyter
    Notebooks has a strong potential to reduce the gap between researchers and
    the complex knowledge required to run large-scale scientific workflows via
    a programmatic high-level interface to access/manage workflow
    capabilities.</p>
<p>The Pegasus-Jupyter integration aims to facilitate the usage of
    Pegasus via Jupyter notebooks. In addition to easiness of usage, notebooks
    foster reproducibility (all the information to run an experiment is in a
    unique place) and reuse (notebooks are portable if running in equivalent
    environments). Since <a class="ulink" href="/downloads" target="_top">Pegasus 4.8.0</a>, a
    Python API to declare and manage Pegasus workflows via Jupyter has been
    provided. The user can create a notebook and declare a workflow using the
    <a class="link" href="dax_generator_api.php" title="16.2. DAX Generator API">Pegasus DAX API</a>, and then create
    an instance of the workflow for execution. This API encapsulates most of
    Pegasus commands (e.g., plan, run, statistics, among others), and also
    allows workflow creation, execution, and monitoring. The API also provides
    mechanisms to define Pegasus catalogs (sites, replica, and
    transformation), as well as to generate tutorial example workflows.</p>
</div>
</div><div class="navfooter">
<hr>
<table width="100%" summary="Navigation footer">
<tr>
<td width="40%" align="left">
<a accesskey="p" href="static_bp_file.php">Prev</a> </td>
<td width="20%" align="center"> </td>
<td width="40%" align="right"> <a accesskey="n" href="jupyter-requirements.php">Next</a>
</td>
</tr>
<tr>
<td width="40%" align="left" valign="top">14.6. Pegasus static.bp File </td>
<td width="20%" align="center"><a accesskey="h" href="index.php">Table of Contents</a></td>
<td width="40%" align="right" valign="top"> 15.2. Requirements</td>
</tr>
</table>
</div><?php  
            pegasus_footer();
        ?>
